# Uses of Class
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryResponse.PluginInformation

Packages that use GS4QueryEvent.QueryResponse.PluginInformation
Package
Description
com.destroystokyo.paper.event.server

## Uses of GS4QueryEvent.QueryResponse.PluginInformation in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return GS4QueryEvent.QueryResponse.PluginInformation
Modifier and Type
Method
Description
`static @NotNull GS4QueryEvent.QueryResponse.PluginInformation`
GS4QueryEvent.QueryResponse.PluginInformation.`of(@NotNull String name, @NotNull String version)`
Methods in com.destroystokyo.paper.event.server that return types with arguments of type GS4QueryEvent.QueryResponse.PluginInformation
Modifier and Type
Method
Description
`@NotNull Collection<GS4QueryEvent.QueryResponse.PluginInformation>`
GS4QueryEvent.QueryResponse.`getPlugins()`
Get list of plugins which will be used to reply to the query.
Methods in com.destroystokyo.paper.event.server with parameters of type GS4QueryEvent.QueryResponse.PluginInformation
Modifier and Type
Method
Description
`@NotNull GS4QueryEvent.QueryResponse.Builder`
GS4QueryEvent.QueryResponse.Builder.`plugins(@NotNull GS4QueryEvent.QueryResponse.PluginInformation... plugins)`
Method parameters in com.destroystokyo.paper.event.server with type arguments of type GS4QueryEvent.QueryResponse.PluginInformation
Modifier and Type
Method
Description
`@NotNull GS4QueryEvent.QueryResponse.Builder`
GS4QueryEvent.QueryResponse.Builder.`plugins(@NotNull Collection<GS4QueryEvent.QueryResponse.PluginInformation> plugins)`